import { JavaObject } from '../../../java/lang/JavaObject';
import { Vector } from '../../../java/util/Vector';
export declare class KlassenDaten extends JavaObject {
    id: number;
    kuerzel: String | null;
    idJahrgang: Number | null;
    parallelitaet: String | null;
    sortierung: number;
    istSichtbar: boolean;
    klassenLeitungen: Vector<Number | null> | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KlassenDaten;
    static transpilerToJSON(obj: KlassenDaten): string;
    static transpilerToJSONPatch(obj: Partial<KlassenDaten>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_klassen_KlassenDaten(obj: unknown): KlassenDaten;
